Summary: A library of functions for parsing configuration files in C
Name: libconfuse
Version: 2.5
Release: 1
License: LGPL
Group: System Environment/Libraries
Source: http://www.e.kth.se/~e97_mhe/libConfuse/confuse-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.e.kth.se/~e97_mhe/confuse.shtml

%description
libConfuse is a configuration file parser library, licensed under the terms
of the LGPL, and written in C. It supports sections and (lists of) values
(strings, integers, floats, booleans or other sections), as well as some other
features (such as single/double-quoted strings, environment variable expansion,
functions and nested include statements).

It makes it very easy to add configuration file capability
to a program using a simple API. The goal of libConfuse is not to be the
configuration file parser library with a gazillion of features.
Instead, it aims to be easy to use and quick to integrate with your code.

%prep
%setup -q -n confuse-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*.h
%{_libdir}/libconfuse*
/usr/share/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 07 2003 Thomas Jarosch <thomas.jarosch@intra2net.com>
- Upgrade to confuse 2.0

* Sun Mar 01 2003 Thomas Jarosch <thomas.jarosch@intra2net.com>
- initial RPM version
